package doctor.system.api.factory;

import doctor.common.core.domain.R;
import doctor.system.api.RemoteDoctorService;
import doctor.system.api.model.LoginUser;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteDoctorFallbackFactory implements RemoteDoctorService {

    private static final Logger log = LoggerFactory.getLogger(RemoteDoctorFallbackFactory.class);

    @Override
    public R<LoginUser> getDoctorInfo(String email) {
        log.error("文件服务调用失败");
        return R.fail("登录超时");
    }

    @Override
    public R<LoginUser> getUser(String email) {
        log.error("文件服务调用失败");
        return R.fail("登录超时");
    }

//    @Override
//    public RemoteDoctorService create(Throwable throwable)
//    {
//        log.error("文件服务调用失败:{}", throwable.getMessage());
//        return new RemoteDoctorService() {
//            @Override
//            public R<LoginUser> getDoctorInfo(String email) {
//                return R.fail("登录超时");
//            }
//
//            @Override
//            public R<LoginUser> getUser(String email) {
//                return R.fail("登录失败");
//            }
//
//
//        };
//    }
}
