package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.common.core.domain.R;
import doctor.domain.entity.DiseaseCategory;
import doctor.service.DiseaseCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.xml.transform.Result;
import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.controller
 * @Author: jpz
 * @CreateTime: 2024/1/10 17:16
 */
@RestController
@RequestMapping("/share/knowledgeBase/v1")
public class DiseaseCategoryController {
    @Autowired
    private DiseaseCategoryService diseaseCategoryService;

    @GetMapping("/findDiseaseCategory")
    public HealthR<List<DiseaseCategory>> findDiseaseCategory(@RequestParam Integer departmentId){
        List<DiseaseCategory> list=diseaseCategoryService.findDiseaseCategory(departmentId);
        return HealthR.ok(list);
    }
}
