package doctor.controller;

import doctor.common.core.domain.HealthR;
import doctor.domain.entity.DoctorEntity;
import doctor.service.DoctorService;
import doctor.system.api.domain.Doctor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.print.Doc;
import java.util.List;

/**
 * @BelongsProject: Medical_Treatment
 * @BelongsPackage: doctor.controller
 * @Author: jpz
 * @CreateTime: 2024/1/15 11:30
 */
@RestController
@RequestMapping("/user/inquiry/v1")
public class DoctorController {
    @Autowired
    private DoctorService doctorService;
    @GetMapping("/findDoctorList")
    public HealthR<List<DoctorEntity>> findDoctorList(@RequestParam Integer deptId,
                                                      @RequestParam Integer condition,
                                                      @RequestParam Integer sortBy,
                                                      @RequestParam(value = "page",defaultValue = "1") Integer page,
                                                      @RequestParam(value = "count",defaultValue = "5") Integer count
    ){
        List<DoctorEntity> list=doctorService.findDoctorList(deptId);
        return HealthR.ok(list);
    }
    @GetMapping("/findDoctorInfo")
    public HealthR<DoctorEntity> findDoctorInfo(@RequestHeader Integer userId,
                                                      @RequestHeader String sessionId,
                                                      @RequestParam(value = "doctorId",defaultValue = "2") Integer doctorId
    ){
        DoctorEntity list=doctorService.findDoctorInfo(doctorId);
        return HealthR.ok(list);
    }
}
