package doctor.controller;

import doctor.common.core.domain.R;
import doctor.domain.entity.UserVideoBuy;
import doctor.domain.entity.UserVideoCollection;
import doctor.domain.entity.UserWallet;
import doctor.service.UserVideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassName : UserVideoController
 * @Description : 用户视频
 * @Author : FJJ
 * @Date: 2024-01-10 14:32
 */
@RestController
@RequestMapping("/user/verify/v1")
public class UserVideoController {
    @Autowired
        private UserVideoService userVideoService;

    //用户视频收藏列表
    @GetMapping("/findVideoCollectionList")
    public R<List<UserVideoCollection>>findVideoCollectionList(){
        List<UserVideoCollection> userVideoCollectionList =userVideoService.findVideoCollectionList();
        return R.ok(userVideoCollectionList);
    }
    //用户取消视频收藏
    @GetMapping("/cancelVideoCollection/{id}")
    public R cancelVideoCollection(@PathVariable Integer id){
        userVideoService.cancelVideoCollection(id);
        return R.ok();
    }
    //用户购买视频列表
    @GetMapping("/findUserVideoBuyList")
    public R<List<UserVideoBuy>>findUserVideoBuyList(){
        List<UserVideoBuy> userVideoBuys =userVideoService.findUserVideoBuyList();
        return R.ok(userVideoBuys);
    }
    //用户删除购买的视频
    @DeleteMapping("/deleteVideoBuy/{id}")
    public R deleteVideoBuy(@PathVariable Integer id){
        userVideoService.deleteVideoBuy(id);
        return R.ok();
    }

    //我的钱包
    @GetMapping("/findUserWallet")
    public R<List<UserWallet>> findUserWallet(){
        List<UserWallet> userWallets = userVideoService.findUserWallet();
        return R.ok(userWallets);
    }

    @PostMapping("/addInfoCollection")
    public R addInfoCollection(@RequestParam Long infoId){
        userVideoService.addInfoCollection(infoId);
        return R.ok();
    }

}
