package doctor.controller;

import doctor.common.core.domain.R;
import doctor.domain.entity.*;
import doctor.service.VideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassName : VideoController
 * @Description : 健康课堂视频
 * @Author : FJJ
 * @Date: 2024-01-10 15:58
 */
@RestController
@RequestMapping("/user/video")
public class VideoController {
    @Autowired
    private VideoService videoService;
    //收藏健康讲堂视频列表
    @PostMapping("/verify/v1/addUserVideoCollection")
    public R addUserVideoCollection(@RequestBody UserVideoCollection userVideoCollection){
        videoService.addUserVideoCollection(userVideoCollection);
        return R.ok();
    }
    //购买健康讲堂视频
    @PostMapping("/verify/v1/videoBuy")
    public R videoBuy(@RequestBody UserVideoBuy userVideoBuy){
        videoService.videoBuy(userVideoBuy);
        return R.ok();
    }
    //视频评论列表
    @GetMapping("/v1/findVideoCommentList")
    public R<List<VideoComment>> findVideoCommentList(){
        List<VideoComment> videoCommentList = videoService.findVideoCommentList();
        return R.ok(videoCommentList);
    }

}
