package doctor.service.impl;

import doctor.domain.entity.*;
import doctor.mapper.VideoMapper;
import doctor.service.VideoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName : VideoServiceImpl
 * @Description :
 * @Author : FJJ
 * @Date: 2024-01-10 16:04
 */
@Service
public class VideoServiceImpl implements VideoService {
    @Autowired
    private VideoMapper videoMapper;

    @Override
    public void addUserVideoCollection(UserVideoCollection userVideoCollection) {
        // 添加收藏
        videoMapper.addUserVideoCollection(userVideoCollection);
        // 更新视频收藏数
        Video video = videoMapper.findById(userVideoCollection.getVideoId());
        VideoCount videoCount = videoMapper.FindVideoId(video.getId());
        videoMapper.updateVideoCount(videoCount);
    }

    @Override
    public void videoBuy(UserVideoBuy userVideoBuy) {
        //查询用户信息
        User user = videoMapper.FindById(userVideoBuy.getUserId());
        //查询视频信息
        Video video = videoMapper.findByVideoId(userVideoBuy.getVideoId());
        //查询用户钱包
        UserWallet userWallet = videoMapper.FindUserWallet(user.getId());
        //判断用户钱包是否足够
        if (userWallet.getBalance() >= video.getPrice()) {
            //更新用户钱包
            int newblance=userWallet.getBalance() - video.getPrice();
            //更新用户钱包
            videoMapper.updateUserWallet(newblance,userWallet.getId());
        }


    }

    @Override
    public List<VideoComment> findVideoCommentList() {
        return videoMapper.findVideoCommentList();
    }

}
